diff --git i/src/tools/msvc/builddoc.bat w/src/tools/msvc/builddoc.bat
index dc76c7e..fa96c7f 100755
--- i/src/tools/msvc/builddoc.bat
+++ w/src/tools/msvc/builddoc.bat
@@ -12,7 +12,7 @@ IF EXIST ..\msvc IF EXIST ..\..\..\src cd ..\..\..
 IF NOT EXIST doc\src\sgml\version.sgml goto noversion
 
 IF NOT EXIST src\tools\msvc\buildenv.pl goto nobuildenv
-perl -e "require 'src/tools/msvc/buildenv.pl'; while(($k,$v) = each %ENV) { print qq[\@SET $k=$v\n]; }" > bldenv.bat
+perl -e "require 'src/tools/msvc/buildenv.pl'; while(($k,$v) = each %%ENV) { print qq[\@SET $k=$v\n]; }" > bldenv.bat
 CALL bldenv.bat
 del bldenv.bat
 :nobuildenv 
diff --git i/src/tools/msvc/install.bat w/src/tools/msvc/install.bat
index 8c5fb1d..1d2ab9c 100644
--- i/src/tools/msvc/install.bat
+++ w/src/tools/msvc/install.bat
@@ -15,7 +15,7 @@ exit /b 1
 SETLOCAL
 
 IF NOT EXIST buildenv.pl goto nobuildenv
-perl -e "require 'buildenv.pl'; while(($k,$v) = each %ENV) { print qq[\@SET $k=$v\n]; }" > bldenv.bat
+perl -e "require 'buildenv.pl'; while(($k,$v) = each %%ENV) { print qq[\@SET $k=$v\n]; }" > bldenv.bat
 CALL bldenv.bat
 del bldenv.bat
 :nobuildenv 
diff --git i/src/tools/msvc/pgbison.bat w/src/tools/msvc/pgbison.bat
index 24963ab..62dedd0 100755
--- i/src/tools/msvc/pgbison.bat
+++ w/src/tools/msvc/pgbison.bat
@@ -2,7 +2,7 @@
 REM src/tools/msvc/pgbison.bat
 
 IF NOT EXIST src\tools\msvc\buildenv.pl goto nobuildenv
-perl -e "require 'src/tools/msvc/buildenv.pl'; while(($k,$v) = each %ENV) { print qq[\@SET $k=$v\n]; }" > bldenv.bat
+perl -e "require 'src/tools/msvc/buildenv.pl'; while(($k,$v) = each %%ENV) { print qq[\@SET $k=$v\n]; }" > bldenv.bat
 CALL bldenv.bat
 del bldenv.bat
 :nobuildenv 
diff --git i/src/tools/msvc/pgflex.bat w/src/tools/msvc/pgflex.bat
index da7c33d..25025fd 100755
--- i/src/tools/msvc/pgflex.bat
+++ w/src/tools/msvc/pgflex.bat
@@ -5,7 +5,7 @@ REM silence flex bleatings about file path style
 SET CYGWIN=nodosfilewarning
 
 IF NOT EXIST src\tools\msvc\buildenv.pl goto nobuildenv
-perl -e "require 'src/tools/msvc/buildenv.pl'; while(($k,$v) = each %ENV) { print qq[\@SET $k=$v\n]; }" > bldenv.bat
+perl -e "require 'src/tools/msvc/buildenv.pl'; while(($k,$v) = each %%ENV) { print qq[\@SET $k=$v\n]; }" > bldenv.bat
 CALL bldenv.bat
 del bldenv.bat
 :nobuildenv 
